%define srcname xattr

Summary:	Extended attributes for python
Name:		python-xattr
Version:	0.9.7
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Python
URL:		https://pypi.python.org/pypi/xattr
Source:		https://files.pythonhosted.org/packages/source/x/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:		python3.8.patch
BuildRequires:	libattr-devel
BuildRequires:	pkgconfig(libffi)

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%package -n python3-xattr
Summary:	Extended attributes for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)
BuildRequires:	python3dist(ply)
BuildRequires:	python3dist(pycparser)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	python3-pkg-resources
Conflicts:	python2-xattr < 0.9.6

%description -n python3-xattr
python-xattr is a C extension module for Python 3 which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-xattr
%{_bindir}/xattr
%{python3_sitearch}/xattr/
%{python3_sitearch}/xattr-%{version}-py?.?.egg-info/


%changelog
* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.9.7-1.mga8
+ Revision: 1623947
- new version 0.9.7

* Sun Feb 16 2020 umeabot <umeabot> 0.9.6-3.mga8
+ Revision: 1531412
- Mageia 8 Mass Rebuild

* Thu Sep 12 2019 wally <wally> 0.9.6-2.mga8
+ Revision: 1439994
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 wally <wally> 0.9.6-1.mga7
+ Revision: 1355714
- new version 0.9.6
- default to python3 build

* Sun Jan 06 2019 tmb <tmb> 0.7.9-8.mga7
+ Revision: 1350195
- rebuild for python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.7.9-7.mga7
+ Revision: 1300619
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 daviddavid <daviddavid> 0.7.9-6.mga7
+ Revision: 1154426
- revert bogus previous commit
- really fix bad %%py[23]_install call
- rename python-xattr to python2-xattr

* Fri Sep 15 2017 tv <tv> 0.7.9-4.mga7
+ Revision: 1154094
- fix file lists
- fix SRPM creation due to bad %%py[23]_install call

* Fri Aug 04 2017 tv <tv> 0.7.9-2.mga7
+ Revision: 1134733
- rebuild for new python

* Sat Feb 13 2016 philippem <philippem> 0.7.9-1.mga6
+ Revision: 959784
- update to 0.7.9

* Thu Oct 08 2015 tv <tv> 0.7.5-7.mga6
+ Revision: 887580
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-6.mga5
+ Revision: 741890
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.5-5.mga5
+ Revision: 730014
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-4.mga5
+ Revision: 688428
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 0.7.5-3.mga5
+ Revision: 661703
- rebuild for new python-cffi

* Sat Jul 19 2014 philippem <philippem> 0.7.5-2.mga5
+ Revision: 653776
- fix Build Requires

* Thu Jul 17 2014 philippem <philippem> 0.7.5-1.mga5
+ Revision: 653496
- update to 0.7.5, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 544505
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-2.mga4
+ Revision: 499765
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.7.2-1.mga4
+ Revision: 491868
- Update to 0.7.2

* Wed Aug 14 2013 philippem <philippem> 0.6.4-3.mga4
+ Revision: 466565
- fix missing buildrequires

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-2.mga3
+ Revision: 379693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 philippem <philippem> 0.6.4-1.mga2
+ Revision: 211549
- Update to 0.6.4.

* Wed Oct 26 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 158251
- New upstream 0.6.2

* Thu Apr 14 2011 ahmad <ahmad> 0.6.1-4.mga1
+ Revision: 85428
- install with --skip-build
- use upstream %%{python_sitearch}
- imported package python-xattr


* Sun Nov 07 2010 Funda Wang <fwang@mandriva.org> 0.6.1-3mdv2011.0
+ Revision: 594710
- rebuild
- rebuild for py 2.7

* Sun Sep 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 577778
- new version

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 482902
- Update to new version 0.5.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4-5mdv2010.0
+ Revision: 442546
- rebuild

* Mon Dec 29 2008 Funda Wang <fwang@mandriva.org> 0.4-4mdv2009.1
+ Revision: 320913
- adjust BR

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.4-4mdv2009.0
+ Revision: 259864
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.4-3mdv2009.0
+ Revision: 247736
- rebuild

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.4-1mdv2008.1
+ Revision: 145719
- New release
- Mistake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.2.2-1mdv2008.0
+ Revision: 55049
- 0.2.2


* Wed Aug 09 2006 glehmann
+ 08/09/06 20:57:54 (55140)
use py_platsitedir

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:28:03 (42708)
Import python-xattr

* Wed Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2.1-1mdk
- New release 0.2.1

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2-1mdk
- first mandriva package

* Sun Sep 11 2005 Dag Wieers <dag@wieers.com> - 0.2-1 - +/
- Initial package. (using DAR)

